Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelType

    java.lang.Object
      org.jasig.portal.ChannelType

    public class ChannelType

extends java.lang.Object

A channel type references a particular java class that implements the IChannel interface. It also references a channel publishing document that describes the parameters that must be fed to the channel.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `cpdUri`
`private java.lang.String` | `descr`
`private int` | `id`
`private java.lang.String` | `javaClass`
`private java.lang.String` | `name`

Constructor Summary
`ChannelType(int id)` Constructs a channel type.

Method Summary
`java.lang.String` | `getCpdUri()`
`java.lang.String` | `getDescription()`
`int` | `getId()`
`java.lang.String` | `getJavaClass()`
`java.lang.String` | `getName()`
`void` | `setCpdUri(java.lang.String cpdUri)`
`void` | `setDescription(java.lang.String descr)`
`void` | `setJavaClass(java.lang.String javaClass)`
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

### javaClass

    private java.lang.String javaClass

### name

    private java.lang.String name

### descr

    private java.lang.String descr

### cpdUri

    private java.lang.String cpdUri

Constructor Detail

### ChannelType

    public ChannelType(int id)

  Constructs a channel type.

  Parameters:
    `id` - the channel type ID

Method Detail

### getId

    public int getId()

### getJavaClass

    public java.lang.String getJavaClass()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getCpdUri

    public java.lang.String getCpdUri()

### setJavaClass

    public void setJavaClass(java.lang.String javaClass)

### setName

    public void setName(java.lang.String name)

### setDescription

    public void setDescription(java.lang.String descr)

### setCpdUri

    public void setCpdUri(java.lang.String cpdUri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD